setserial (2.17-52.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 19:05:01 +0800

setserial (2.17-52) unstable; urgency=medium

  * debian/control: ass salsa VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 28 Feb 2019 19:39:00 +0100

setserial (2.17-51) sid; urgency=medium

  * debian/control: Standards version moved to 4.3.0 (no changes)
  * debian/control: use dh11
  * debian/control: remove dependency for autotools-dev and dh-systemd
  * debian/control: replace prio extra by optional
  * debian/rules: do not use dh_systemd_enable
  * debian/rules: remove get-orig-source target
  * Fix FTCBFS: Export a triplet-prefixed CC (Closes: #876159)
    (Thanks to Helmut Grohne for the patch)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 13 Jan 2019 15:39:00 +0100

setserial (2.17-50) unstable; urgency=medium

  * ack NMU, thanks to Martin Pitt and Christian Hofstaedtler for
    taking care of this
  * debian/control: add dependency to lsb-base (Closes: #850762)
  * debian/postrm: take care of old files (Closes: #830887)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 22 Jan 2017 15:39:00 +0100

setserial (2.17-49.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Martin Pitt ]
  * 10_rc_etc_setserial.patch: Change etc-setserial's "checkfs" dependency to
    $local_fs, and drop initscripts dependency. (Closes: #804964)

  [ Christian Hofstaedtler ]
  * Drop empty /etc/modutils directory.
  * Install etc-setserial.service wrapping the etc-setserial init script.
    (Closes: #826132)

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 02 Jul 2016 11:11:55 +0200

setserial (2.17-49) unstable; urgency=medium

  * as upstream archive vanished, watch file is useless
  * debian/control: Homepage: is gone as well
  * debian/control: Standards version moved to 3.9.6 (no changes)
  * debian/control: add initscripts to dependencies (Closes: #734496)
  * on request of lintian add sourcing of /lib/lsb/init-functions to both
    init scripts
  * Add debian/setserial.service systemd unit, mostly to relax the very
    demanding Before=sysinit.target plus After=remote-fs.target combination
    resulting from the init.d script's $remote_fs dependency. This can easily
    cause dependency loops when using NFS and NetworkManager.
    (Closes: #786976, LP: #1452644)
    (Closes: #761951)
    Thanks to Martin Pitt for providing the patch!
  * Add dh-systemd build dependency and call dh_systemd_enable in
    debian/rules.
    Thanks to Martin Pitt for providing the patch!

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 22 Sep 2015 23:00:00 +0200

setserial (2.17-48) unstable; urgency=low

  * new maintainer (Closes: #636122)
  * debian/watch: added
  * debian/rules: add hardening flags
  * debian/rules: modutils disappeared from Debian (Closes: #518313)
  * debian/rules: target get-orig-source added
  * debian/config: set -e moved from header to body of script
  * debian/postinst: set -e moved from header to body of script
  * debian/postinst: use default runlevel arguments for start and stop
  * debian/post*: do not use update-modules anymore (Closes: #468420)
  * debian/patches: add hardening flags
  * debian/patches: change /etc/init.d/setserial to properly report
                    handling by kernel (Closes: #375276)
  * debian/patches: add status parameter for rc-files
  * debian/control: add some kind of homepage

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 02 Jul 2012 18:00:00 +0200

setserial (2.17-47) unstable; urgency=low

  * QA upload.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt"
    (Closes: #664320).
  * Update to Standards-Version to 3.9.3.1 and debhelper to 9.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 28 Mar 2012 22:16:35 +0300

setserial (2.17-46) unstable; urgency=low

  * Added README.source
  * Changed obsolete dpkg option (Closes: #566105)
  * Added Italian translation (Closes: #556032, #627138)
  * new standards version
  * orphaned package

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Sat, 11 Jun 2011 11:56:18 +0200

setserial (2.17-45.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix encoding for Danish debconf translation.

 -- Christian Perrier <bubulle@debian.org>  Wed, 12 Jan 2011 07:28:50 +0100

setserial (2.17-45.2) unstable; urgency=low

  * Non-maintainer upload.
  * Correct encoding for Swedish translations. Closes: #562792

 -- Christian Perrier <bubulle@debian.org>  Tue, 29 Dec 2009 09:53:29 +0100

setserial (2.17-45.1) unstable; urgency=low

  * Non-maintainer upload.
  * Do not ignore errors in postrm script
  * Fix pending l10n issues. Debconf translations:
    - Spanish (Francisco Javier Cuadrado).  Closes: #507755
    - Danish (Joe Hansen).  Closes: #554616

 -- Christian Perrier <bubulle@debian.org>  Wed, 11 Nov 2009 08:02:01 +0100

setserial (2.17-45) unstable; urgency=low

  * Moved to dpatch.
    - It's now easy to maintain
  * new standards version
  * bumped debhelper to 5
  * debian/rules: removed -s from install (Closes: #438016)
  * Updated sv.po (Closes: #491781)

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Sat, 27 Sep 2008 02:37:01 +0200

setserial (2.17-44.2) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #463672
  * Remove obsolete setserial/rc-boot-file-renamed and
    setserial/rc-boot-file-removed debconf templates
  * [Debconf translation updates]
    - Japanese. Closes: #464443
    - Galician. Closes: #464456
    - Vietnamese. Closes: #464508
    - Turkish. Closes: #464510
    - Finnish. Closes: #464589
    - Portuguese. Closes: #465337
    - Basque. Closes: #465726
    - Dutch. Closes: #466461
    - Russian. Closes: #466576
    - Czech. Closes: #466590
    - Brazilian Portuguese. Closes: #466742
    - German. Closes: #467352
    - French. Closes: #467403

 -- Christian Perrier <bubulle@debian.org>  Mon, 28 Apr 2008 09:15:48 +0200

setserial (2.17-44.1) unstable; urgency=low

  * Non-maintainer upload to fix release goal issue.
  * Correct LSB headers in init.d scripts (Closes: #460142).
  * Make sure to remove generated setserial.8 in clean target.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 21 Jan 2008 10:34:54 +0100

setserial (2.17-44) unstable; urgency=low

  * bumped up to Standards-Version 3.7.2
  * Renamed po files: (Closes: #404174)
     - setserial.ja.po to ja.pl
     - seterial.pl.po  to pl.po
  * Spanish translation by Javier Fernandez-Sanguino Pena (Closes: #401960)
  * Galician translation by Jacobo Tarrio (Closes: #409625)
  * Portuguese translation by Pedro Ribeiro (Closes: #410736)
  * Removed hardcoded configfile in initscript (Closes: #313447)
  * Added Run-time depdendencies to initscript
  * Replaced hardcoded /etc/init.d/setserial stop with invoke-rc.d in postinst

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Sun, 18 Feb 2006 14:46:45 +0200

setserial (2.17-43) unstable; urgency=low

  * New maintainer (Closes: #285355)
  * changed standards version to 3.6.2
  * debian/control changed to ${misc:Depends} for po-debconf
  * removed: templates.fr, templates.de, templates.ru, templates.pt_BR, templates.eng
  * removed: patches/setserial-po.patch
  * removed: debian/conffiles no longer needed
  * removed: debian/conffiles.i386, debian/conffiles.m68k no longer needed
  * debian/rules: removed if && cp for conffiles
  * debian/postinst: fixed typo (Closes: #326556)
  * added debian/compat
  * fixed typo in de translation (Closes: #313830)
  * Vietnamese translation by Clytie Siddall (Closes: #318056)
  * Swedish translation by Daniel Nylander (Closes: #333752)
  * Updated russian translation (Closes: #324253)

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Mon, 14 Nov 2005 14:29:45 +0200

setserial (2.17-42) unstable; urgency=low

  * Added an alternative dependency on debconf-2.0.

 -- Ola Lundqvist <opal@debian.org>  Mon, 26 Sep 2005 22:10:24 +0200

setserial (2.17-41) unstable; urgency=low

  * Updated documentation for reconfiguration, closes: #310745.
  * Updated description to not have a capital letter in the beginning.
  * Applied a patch that fix a number of spelling issues in the manpage,
    closes: #302673.

 -- Ola Lundqvist <opal@debian.org>  Wed, 25 May 2005 19:28:02 +0200

setserial (2.17-40) unstable; urgency=low

  * Applied patch from robbe@orcus.priv.at that fix a gramatical error
    in German debconf translation, closes: #287646.
  * Fixed typo error in setserial --help (buad to baud), closes:
    #278053.
  * Added Czech debconf translation from Jan Outrata
    <outrataj@upcase.inf.upol.cz>.
  * Fixed pl debconf translation to have correct number of choices to
    one of the debconf questions.
  * Changed section from base to comm.
  * Lowered priority of the package to extra.

 -- Ola Lundqvist <opal@debian.org>  Fri, 28 Jan 2005 22:09:13 +0100

setserial (2.17-39) unstable; urgency=low

  * Fix postinst syntax error.
  * Removed foo.txt file that should not be there.
  * Removed stray ^M^M characters in debian/po/nl.po.

 -- Ola Lundqvist <opal@debian.org>  Mon, 23 Aug 2004 15:50:34 +0200

setserial (2.17-38) unstable; urgency=low

  * Minor manpage correction (my error).

 -- Ola Lundqvist <opal@debian.org>  Thu, 12 Aug 2004 08:20:17 +0200

setserial (2.17-37) unstable; urgency=low

  * Updated pt_BR debconf translation, closes: #264260.
    Thanks to Andre Luis Lopes <andrelop@debian.org> for the patch.
  * Added the removal of two more files in postrm, closes: #264954.
  * Updated standards version to 3.6.1.
  * Setserial is no longer a part of base, closes: #243841, #212646.
  * Applied patch for bluetooth driver, closes: #247881.
  * Added Netherland debconf translation, closes: #244318.
    Thanks to Luk Claes <Luk.Claes@UGent.be>.
  * Added Japanese debconf translation, closes: #242271.
    Thanks to Hideki Yamane <henrich@samba.gr.jp>.
  * Updated manpage, closes: #261402.
    Thanks to A Costa <agcosta@gis.net> for the suggested text.
  * Fixed XSI:ism in installation script, closes: #254911.
    Thanks to David Weinehall <tao@acc.umu.se> for the patch.
  * Removed modconf=/var/run/setserial.conf from rc.etc-setserial because
    it is not used, closes: #208576.

 -- Ola Lundqvist <opal@debian.org>  Wed, 11 Aug 2004 16:14:29 +0200

setserial (2.17-36) unstable; urgency=low

  * Added japanese debconf translation, closes: #242271.
    Thanks to Hideki Yamane <henrich@samba.gr.jp>.
  * Added polish debconf translation, closes: #242744.
    Thanks to Emil Nowak <emil5@go2.pl>.

 -- Ola Lundqvist <opal@debian.org>  Wed, 14 Apr 2004 16:34:12 +0200

setserial (2.17-35) unstable; urgency=low

  * Added turkish translation, closes: #240653.
    Thanks to Mehmet Turker <mturker@innova.com.tr>.
  * Added danish translation, closes: #238361.
    Thanks to Claus Hindsgaul <claus_h@image.dk>.
  * Fixed confusing comments, closes: #227973.
  * Removed silly comments, closes: #225571.
  * Will remove /var/lib/setserial/etc.serial.conf.bkp
    on purge, closes: #229671.

 -- Ola Lundqvist <opal@debian.org>  Thu,  1 Apr 2004 08:04:38 +0200

setserial (2.17-34) unstable; urgency=low

  * Added po patch, closes: #202546.
    Thanks to Christian Perrier <bubulle@debian.org>.
  * Fixed missing newline in error, closes: #234440.
    Thanks to Christian Haggstrom <c00chm@cs.umu.se> for the fix.

 -- Ola Lundqvist <opal@debian.org>  Fri, 12 Mar 2004 11:48:14 +0100

setserial (2.17-33) unstable; urgency=low

  * Changed from tail to sed to get first line using patch from Paul
    Eggert <eggert@twinsun.com>, closes: #188638.
  * Updated standards version to 3.5.8.
  * Removed full stop from description line.

 -- Ola Lundqvist <opal@debian.org>  Thu, 17 Apr 2003 23:48:07 +0200

setserial (2.17-32) unstable; urgency=low

  * Postinst fix in setserial, closes: #185665.

 -- Ola Lundqvist <opal@debian.org>  Mon, 24 Mar 2003 07:57:17 +0100

setserial (2.17-31) unstable; urgency=low

  * New maintainer, closes: #162856.

 -- Ola Lundqvist <opal@debian.org>  Tue,  1 Oct 2002 10:08:18 +0200

setserial (2.17-30) unstable; urgency=low

  * The debconf question concerning update-modules is removed. update-modules
    is executed automatically again. If update-modules damages your
    user configuration please file a bug with modutils.
    (closes: #151544)

 -- Gordon Russell <gor@debian.org>  Mon,  1 Jul 2002 18:04:55 +0100

setserial (2.17-29) unstable; urgency=high

  * Basically after a long discussion on debian-devel, the operation of
    setserial is changed so that
     o what was /etc/serial.conf is relocated to
       /var/lib/setserial/autoserial.conf
     o The priority of setserial using automatic configuration information
       in init.d is altered to run after /var is mounted (S46).
     o If /etc/serial.conf exists, its configuration overrides the
       autoserial.conf permanently and utterly. It is handled at the old
       priority level of S30. Thus if priority is essential to you you
       must create a /etc/serial.conf file yourself.

    This will allow:
     o /etc to be mounted read-only
     o Policy concerning configuration files to be upheld.

    When you install this version of setserial it will detect hand-crafted
    serial information and preserve it in serial.conf, otherwise it will be
    translated into the new structures. At worst, your hand-crafted
    serial.conf file will be preserved indefinitely in
    /var/lib/setserial/etc.serial.conf.bkp
    Do not delete this backup for any reason.

    Hope this works out for everyone. If a user had an issue with this
    setup do not file a bug without (1) reviewing the discussion on
    debian-devel, and (2) posing a workable solution in debian-devel
    which has a concensus of agreement. At worst, at least enter a
    discussion with me first before a bug report is filed.
  o For the moment I am leaving in the debconf option so that the use of
    update-modules can be disabled. I will remove this option when
    modutils handles modules.conf in a way which matches Policy. However
    Policy makes it clear that the sensible handling of modules.conf is
    down to modutils and not setserial. Thus worried people should file
    bugs with modutils concerning this specific issue.
  o In short, chaotic people can create /etc/serial.conf and that becomes
    definitive, or package-friendly people can indicate their desire to
    manage serial.conf themselves and then create /etc/serial.conf, with
    both approaches to manual serial management being equivalent. Asking
    for automatic management and then directly editing
    /var/lib/setserial/autoserial.conf is still suicide.

 -- Gordon Russell <gor@debian.org>  Tue, 25 Jun 2002 17:07:47 +0100

setserial (2.17-28) unstable; urgency=high

  * Well 2.17-27 caused me more problems than solutions, so I am going to
    backtrack from the solutions to 150514 (to use ucf) and instead force
    people to say if they want to use update-modules. If they do not, then they
    have to manage it themselves. Eventually I expect update-modules to
    offer users the ability to disable its function and to also preserve user
    modifications to that file. If users would like this functionality now,
    and they can get the update-modules maintainer to fix the problem then
    let me know and I will take the question out of setserial.
    (closes: #150514)
    (closes: #150663>
    (closes: #150684>

 -- Gordon Russell <gor@debian.org>  Sat, 22 Jun 2002 20:35:36 +0100

setserial (2.17-27) unstable; urgency=low

  * Calling update-modules breaks policy. Hopefully fixed using ucf.
    (closes: #150514)
  * Make the m68k build use the old code if it has the right include file,
    otherwise use the new hacked code.

 -- Gordon Russell <gor@debian.org>  Fri, 21 Jun 2002 15:18:01 +0100

setserial (2.17-26) unstable; urgency=high

  * Templates can be processed automatically by debhelper, so the rules
    file has been changed to do that. In addition there was a small error
    in the BR template which was corrected.
    (closes: #149624)
  * Build problem on the sparc build - copying stuff into a non-existant
    directory. Careless of me... It also highlighted an error I made since
    -25, copying the serial.conf example to /usr/share/doc rather than
    /usr/share/doc/setserial. All fixed.
    (closes: #149643)
  * Upstream code depends on m68kserial.h, but this seems to be
    missing in the m68 build! Currently no updated version of setserial
    exists.

    I have made some experiments using m68k.debian.org, and at the same
    time wandered through the current kernel code for the 68k series of
    machines. It looks to me as if someone has rewritten the 68k serial
    module to make it more compatible with the non 68k approaches. In
    setserial m68k is taken care of seperately from all other systems. I
    cannot find out exactly what has changed, and without root access on
    a 68k machine I cannot verify its functionality change.

    As an interim measure, I have adjusted the way setserial compiles so
    that it will compile on the latest kernels. I am reasonably sure that
    the end result will be a poorer environment for m68k users. Unfortunately
    I can do no better than this. If a concerned m68k user or two wants to
    co-operate with me then we can see what can be done. As the bug report
    concerned the build process, the bug is therefore closed with this
    modified source. At worst I would think the modified setserial will simply
    list more UARTS as unknown...
    (closes: #149642)

 -- Gordon Russell <gor@debian.org>  Fri, 14 Jun 2002 13:37:31 +0100

setserial (2.17-25) unstable; urgency=low

  * Upgrading policy to 3.5.6.0. This has resulted in serial.conf being
    removed from the conffile list. The protection of this file is now
    in the hands of the maintainer scripts.
    (closes: #144254)
  * Fixed a small error in the postinst file (related to AUTOSAVE_ONCE).
  * You now MUST use debconf, as maintaining a debconf version and a
    non debconf version is impossible with the new non-conf file approach.

 -- Gordon Russell <gor@debian.org>  Mon, 29 Apr 2002 13:57:35 +0100

setserial (2.17-24) unstable; urgency=low

  * Original source mentioned "GNU PUBLIC LICENCE". This has been clarified
    so that the whole package is consistently the GNU GENERAL PUBLIC LICENCE.
    (closes: #102239) (again)
  * Added a russian translation from
    ilgiz kalmetev <i.kalmetev@bis.bashtelecom.ru>
    Russian correspondance to him please!
    Note that I did not every receive this email, and thus copied the file
    from the bug report web page, and thus there is the possibility that
    the control codes did not come over properly. Please let me know!!
    (closes: #114301)
  * Tried to remove the need for db_input in postinst by silently ignoring
    problems with update_modules. Probably not a problem...
  * German translation added from
    Eduard Bloch <blade@debian.org>
    (closes: #109942)
  * German translation lacking a translation of Choices is autosave selection,
    so I have put in the english equivalent instead.

 -- Gordon Russell <gor@debian.org>  Wed,  7 Nov 2001 09:41:30 +0000

setserial (2.17-23) unstable; urgency=low

  * update to the README file for people wanting to use nonstandard port names.
  * added French translations for configuration control.
    These were supplied by Laurent Pelecq <laurent.pelecq@soleil.org>, so
    please liase with him if you question the translation - my French is
    rather weak!
    (closes: #107675)
  * added some useful aliases for people using devfs. I hope this does
    not break anything. Please alert me if this is a problem. I am especially
    concerned that I am forcing ports to belong to the serial module, when
    there might be a chance that then belong to pcmcia serial devices. Only
    time will tell if this is really a problem. If it is you should edit the
    aliases to remove the collision and get back to me with your proposals.
    (closes: #107000)
  * Complaint that the upsteam author was not specific enough concerning
    which GNU licence the product was released under. His code (and my changes)
    are released under "The GNU General Public Licence" and this is made
    clearer in the copyright message. Probably there was only one GNU licence
    back in 1994 when this was originally written...
    (closes: #102239)
  * added in code to make use of the lastest config.sub and config.guess
    routines available, which required an additional build-depends to be
    added. These files have not been updated for a while and have not actually
    caused any problems, so this is really just a defensive move.

 -- Gordon Russell <gor@debian.org>  Wed,  8 Aug 2001 11:55:59 +0100

setserial (2.17-22) frozen unstable; urgency=low

  * devfs again - removed the wildcard part to the init.d script to
    support auto kernel devfs loading.
    (closes: #100015)

 -- Gordon Russell <gor@debian.org>  Mon, 11 Jun 2001 12:53:22 +0100

setserial (2.17-21) frozen unstable; urgency=low

  * Additional code to try and help out those people with devfs.
    (closes: #97607)

 -- Gordon Russell <gor@debian.org>  Wed, 16 May 2001 09:10:53 +0100

setserial (2.17-20) frozen unstable; urgency=low

  * I knew that the template file in -19 looked a little funny. All
    the language-specific characters were corrupted by the email process.
    This has now been corrected so you can set up setserial in english
    and portuguese.
    (closes: #92125)

 -- Gordon Russell <gor@debian.org>  Tue,  3 Apr 2001 09:06:18 +0100

setserial (2.17-19) frozen unstable; urgency=low

  * Added support for portuguese language in the template. This is
    supplied by Gustavo Noronha <kov@debian.org>. I do not speak
    portuguese so Gustavo should be emailed with comments on this
    (and only this) part of setserial.
    (closes: #92125)

 -- Gordon Russell <gor@debian.org>  Fri, 30 Mar 2001 12:10:36 +0100

setserial (2.17-18) frozen unstable; urgency=high

  * Small typo in the templates file corrected.
    Fix for the grammar (not my strongest area) of the templates file.
    (closes: #78084)

 -- Gordon Russell <gor@debian.org>  Mon, 27 Nov 2000 11:20:50 +0000

setserial (2.17-17) frozen unstable; urgency=high

  * Add an option KERNEL to the list, which uses the KERNEL output
    rather than the serial.conf file. This may allow people
    to recover better from incorrect serial.conf entries.
    (closes: #66070)
  * Applied the patch from Matt Kraai <kraai@opensource.lineo.com>
    concerning (extensive) spelling errors in setserial.8.
    (closes: #75946)
  * Applied a fix from Wichert Akkerman <wichert@cistron.nl>
    concerning the support for devfs in setserial. I have not tested
    this as I do not have devfs, but the change looks quite reasonable.
    My only worry is that devices will be duplicated. Could someone with
    devfs verify this?
    (closes: #72339)

 -- Gordon Russell <gor@debian.org>  Thu, 23 Nov 2000 12:37:56 +0000

setserial (2.17-16) frozen unstable; urgency=high

  * Due to the test-cycle, the last release of setserial was sitting in
    incoming for ages. This has resulted in bugs which are fixed in 2.17-15.
    For completeness, these are closed here.
    (closes: #64984, #65536)
  * Improve the grammer in a diagnostic message.
    (closes: #65520)
  * Menu options translated to lower-case rather than upper-case strings.
    (closes: #65561)

 -- Gordon Russell <gor@debian.org>  Fri, 16 Jun 2000 13:38:45 +0100

setserial (2.17-15) frozen unstable; urgency=high

  * I really blew 2.17-14
    Anyway, the fix is changed so that on initial bootup, the modload
    triggers serial configuration automatically, and then the init.d script
    "start" causes the ports to be configured again. Hopefully this will not
    cause any serious side-effects. I have more carefully checked this fix.

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Thu,  1 Jun 2000 11:53:19 +0100

setserial (2.17-14) frozen unstable; urgency=low

  * The module.conf entries for pre-remove of modules in kerneld
    is a null operation, although previous releases of setserial makes
    use of this function, in the hope that one day it actually works.
    However, if you currently unload and then reload the serial.o module,
    you lose all your serial configuration details until you run
    /etc/init.d/setserial start
    I have made a simple change to the configuration, so that failure of
    pre-remove is detected, and the serial ports on a module reload are
    reconfigured to the configuration present imediately after serial
    configuration has completed.
    This is not as good as pre-remove actually working, but is probably
    sufficient for all but the most nit-picking people out there. If
    you change your serial configuration a lot during a single boot session,
    consider calling
    /etc/init.d/setserial modsave
    from cron every minute or two (or at least before a module autoclean
    occurs).
    (closes: #64703)

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Sat, 27 May 2000 17:45:48 +0100

setserial (2.17-13) frozen unstable; urgency=low

  * Spelling error in modutils/setserial
    (closes: #63775)

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Tue,  9 May 2000 09:42:07 +0100

setserial (2.17-12) frozen unstable; urgency=low

  * I wanted to make the AUTOSAVE question priority "medium", but
    accidentally set it to "high". Fixed in this release.

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Thu,  4 May 2000 15:06:45 +0100

setserial (2.17-11) frozen unstable; urgency=low

  * The grep commands in the postinst could cause the postinst
    to fail if there were no serial ports detected by setserial. This
    actually appears to be a possibility for the SPARC architecture, so
    I have protected against this using IF testing.
    (closes: #63448)
  * An additional issue raised by the above bug report is if you have an old
    serial.conf file and you have not yet gone through the process of being
    asked if you want autosave, then the answer to the question is basically
    ignored. I have fixed this in the postinst to work better...
  * I can now make use of dpkg-reconfigure, and it appears to work.
  * Unfortunately I had to add a new depconf template, and stop using one
    of the older ones. This means that many of you will have to respond
    to a question when you update to this setserial version. Sorry about
    that... You should find the default answer adequate. For now, I have
    set its priority to "medium". Should this be "low"?
  * Another side-effect of moving to debconf - stdout output in postrm causes
    the postrm to fail. I have removed all output to stdout and replaced it
    where necessary to stderr. Hopefully it will work a lot better now.
    Thanks to Joey Hess for giving me the fix...
    (closes: #62525)

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed,  3 May 2000 10:59:47 +0100

setserial (2.17-10) frozen unstable; urgency=low

  * Changes by Josip Rodin:
    + Used debconf to display the warning when update-modules fails
      (thanks to Joey Hess), more properly closes: #59013, #59170.
    + Merged m68k and non-m68k postinsts into one, using a simple test,
      just like it's done in debian/config file. Updated some of the
      postinst messages.
    + Reordered debian/rules to actually install serial.conf.sparc on sparc,
      it was being rewritten by the default one.
    + Removed old comment about that RedHatoid RCLOCKFILE variable in
      init script, useless.

    Josip Rodin <jrodin@jagor.srce.hr>

  * Added a "|| true " to the db_input line Josip added to the postinst.
    This was needed to support error code 30 (already answered the question).

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Mon, 28 Feb 2000 09:18:43 +0000

setserial (2.17-9) unstable frozen; urgency=low

  * debconf update was less than perfect. This release
    attempts to tackle the warning wrt update-modules properly.
    I have done this by removing the "wait for return" question from
    the postinst. I tried to do this using debconf, but there is no
    obvious way of doing it.
    (closes: #59013)
  * Duplicate bug report to 59013.
    (closes: #59170)

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Mon, 28 Feb 2000 09:18:43 +0000

setserial (2.17-8) unstable frozen; urgency=low

  * More completely converted to debhelper. Used debconf to display
    information and ask questions. Fully updated for FHS and Policy 3.x.
    -- Josip Rodin <jrodin@jagor.srce.hr>  Wed, 19 Jan 2000 14:04:39 +0100
    (closes: #58442)
  * The ls command in /etc/init.d/setserial will print out the ttyS names of
    any serial ports from ttyS10 and up. Supplied patch fixed the problem
    from Robert de Bath <rdebath@poboxes.com>
    (closes: #58559)

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Mon, 21 Feb 2000 12:56:01 +0000

setserial (2.17-7) unstable frozen; urgency=low

  * Reports concerning the messages generated in the postinst.
    Personally I put them in to close an earlier report, but I will
    take them out again...
    (closes: #57866, #58022, #57910)

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Mon, 14 Feb 2000 12:27:50 +0000

setserial (2.17-6) unstable frozen; urgency=low

  * 2.17-5 didnt fix the problem with bug 56787. I now have access to
    a m68k machine, and the problem is reall solved this time. Thanks to
    Roman Hodek for his efforts in helping me.
    (closes: #56787)

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Fri, 11 Feb 2000 12:02:37 +0000

setserial (2.17-5) unstable frozen; urgency=low

  * Still does not compile for m68k. Hopefully I have it this time.
    (closes: #56787)

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Thu, 10 Feb 2000 15:26:25 +0000

setserial (2.17-4) unstable frozen; urgency=low

  * pcmcia-cs has changed again. Apparently, bugs in serial.o in the kernel
    is breaking pcmcia, and the upstream maintainer now uses setserial to
    do some stuff to get around these bugs. However, I have patched Debian
    setserial to avoid doing things to pcmcia serial ports in order to close
    many of the pcmcia-related setserial bugs...
    I have therefore changed the way pcmcia filtering is done in setserial.
    Now, pcmcia devices are reported using -G, but the report ends with
    "pcmcia". This flag is ignored whereever it appears in a setserial
    configuration request. Thus, pcmcia devices are clearly marked, and
    are filtered out using grep in /etc/init.d/setserial.

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Mon,  7 Feb 2000 10:23:47 +0000

setserial (2.17-3) unstable; urgency=low

  * I blundered when I changed to debhelper, and now I have multiple
    additions where #DEBHELPER# appears in the pre/post files. I have
    now added dh_clean, which hopefully fixes the problem.

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Fri,  4 Feb 2000 09:26:15 +0000

setserial (2.17-2) unstable; urgency=low

  * m68kserial.h is no longer included automatically from serial.h in
    /usr/include/linux, so I have added a patch from Roman Hodek to
    manually select the include file if the build is for m68k.
   (closes: #56787)

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Tue,  1 Feb 2000 13:20:20 +0000

setserial (2.17-1) unstable; urgency=low

  * New upstream version.
    - Added the usual mc68k patches. Upstream maintainer still has not added
      them for some reason.
    - Added pcmcia patches.
  * Changed reference /usr/doc to /usr/share/doc in documentation.
    (closes: #56533)
  * Changed to debhelper from debstd

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Tue,  1 Feb 2000 11:45:54 +0000

setserial (2.15-18) unstable; urgency=low

  * Moved the serial port reporting part of /etc/init.d/setserial so
    that instead of reporting the state of all valid ports, it only
    reports the state of ports specifically mentioned in the
    /etc/serial.conf file. This is necessary as there appears to be
    a fatal error in the kernel/pcmcia-cs part of linux which means that
    reading state from a non-existant serial port results in pcmcia-cs
    being unable to use that port for pcmcia serial devices in the future...
    (closes: #56482)

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Fri, 28 Jan 2000 12:41:48 +0000

setserial (2.15-17) unstable; urgency=low

  * Changing README.debian to README.Debian has broken debstd. Doing the
    work by hand this time rather than using debstd.
    (closes: #55724)

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Thu, 20 Jan 2000 15:58:13 +0000

setserial (2.15-16) unstable; urgency=low

  * Complaint that it is too easy to destroy your serial configuration if
    something happens to the serial module and you have to reboot. This
    version of setserial only maintains serial.o persistent information in
    /var/run/setserial.conf, and this information is not preserved over
    reboots. The default is not to have AUTOSAVE in the serial.conf file,
    and instead on the first install of setserial all ports are saved once
    only. This may break the boot disks, but I hope not...
   (closes: #54966)
  * Add a wait for return prompt in postinst.
   (closes: #51972)
  * Added a test involving update-modules to the postrm
   (closes: #53802)
  * Removed a dependency to modutils
  * Add section and priority to control file using -isp
  * Updated readme files to reflect changes
  * Multiple Bug report -
    - postinst and prerm has /usr/doc and /usr/share handling removed
      as debstd now apparently does this automatically...
    - Added more detail to the readme explaining 0setserial.pre-2.15
    - renamed README.debian to README.Debian
   (closes: #55294)

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Thu, 13 Jan 2000 10:03:57 +0000

setserial (2.15-15) unstable; urgency=low

  * Initially, the setting for the ports is taken from /etc/serial.conf.
    However, this is probably not what you actually have on your machine.
    Instead, we now take whan the kernel says it your serial configuration,
    and save that in /etc/serial.conf on the first reboot or serial.o module
    unload.
    (closes: #50604, #51372)

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Mon, 29 Nov 1999 12:57:13 +0000

setserial (2.15-14) unstable; urgency=low

  * pcmcia-cs 3.1.2-1 has changed the location of the stab file from one
    location to two (three, including backward compatibility). Setserial
    looks in all three locations, and collates the information from all
    stab files found in order to decide if the device in question is
    to be controlled by serial.o or pcmcia-cs. This should automatically
    fix problems due to serserial claiming ports from pcmcia devices.
    (closes: #49550)

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Mon,  8 Nov 1999 11:53:27 +0000

setserial (2.15-13) unstable; urgency=low

  *

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Mon, 18 Oct 1999 18:09:30 +0100

setserial (2.15-12) unstable; urgency=low

  * Made the postinst script question easier to understand (I hope).
    (closes: #47697)
  * If the user has a non-standard module configuration, then setserial-
    induced error messages concerning update-modules may be lost. setserial
    now pauses if update-modules exits abnormally.
    (closes: #47698)

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Mon, 18 Oct 1999 11:49:07 +0100

setserial (2.15-11) unstable; urgency=low

  * Added support for /usr/doc and /usr/share/doc automatic linkage

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed,  6 Oct 1999 09:34:56 +0100

setserial (2.15-10) unstable; urgency=low

  * Error message displayed when you postinst with a setup without
    update-modules is now hidden from the user.
    (closes: #41546)
  * Recomplation now supports the 16750 uart on the latest kernels.
    (closes: #44484)

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Tue,  7 Sep 1999 13:46:07 +0100

setserial (2.15-9) unstable; urgency=low

  * The bug reports are starting to back up now. Sorry for any delay.
    This release is more experimental than usual. PCMCIA users please
    investigate with a little caution. The routines which protected you
    have been removed from the control script and put into the C code.
  * The patch to make compilation on sparcs and alphas was not applied
    correctly. It was broken anyway. I have now read the manual on autoconf
    and fixed it. Hope this is better for everyone...
    (closes: #40051)
  * setserial does not check for the existence of update-modules - I use
    this in the postinst file, to support module loading and unloading from
    the kernel. Although modutils is "required", and thus I should not have
    to worry about it not being there, in truth if the serial module is
    hardwired in the kernel, then it will never be unloaded, and thus I
    do not really need modutils. So I will agree with the bug submitter, and
    ignore its absence if that is the case.
    (closes: #40957)
  * In the postinst file for i386, I talk about saving when you "logout". I
    really ment to say "shutdown or halt your machine".
    (closes: #40993)
  * Apparently the setserial as supplied from upstream does not AUTOSAVE
    all the needed information to make a successful reload of all useful data.
    I have edited the setserial.c code to do it properly, and send the changes
    upstream.
    A moan about the size of the /etc/init.d/setserial file was present.
    Personally I don't see why it matters, but I have recoded much of the
    code in c and put it into the executable. Again I will forward the
    changes upstream. Of course, this is likely to produce even more bug
    reports...
    Please try to put only one bug in each report. This one griped about a few
    things, which makes it hard to close. However, everything else is really
    wishlist stuff so I am making the bold step of closing it anyway. If people
    are unhappy they should resubmit the bugs seperately...
    The additional problems were:
       o manual page does not contain some useful information which is only
         found in the docs - wishlist stuff, and maintaining a changed manual
         page when the upstream maintainer changes is frequently is not my
         idea of fun.
       o complaint that if root sets the wrong configuration on the serial
         ports, shutdowns and then reboots, then wrong configuration is still
         there - root is a dangerous user and I don't know what to do to make
         it safer!
    (closes: #40964, #40965) (duplicated reports)


 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Tue, 13 Jul 1999 10:25:00 +0100

setserial (2.15-8) unstable; urgency=low

  * Up to now, the serial module in the kernel can be unloaded and reloaded
    by both kerneld and kmod dynamically whenever the system desires. I had
    thought that all the setserial settings made to serial ports would
    persist between unloads and reloads of the serial module. Apparently
    this is not the case, and so I have added some additions which means
    that "/etc/init.d/setserial stop" is called when the serial module is
    unloaded, and "/etc/init.d/setserial start" is called when the serial
    module is loaded. Hopefully this will solve this issue. Note however that
    if you have switched off AUTOSAVE in the serial.conf file, then the
    settings will be lost when the module is unloaded, and the settings
    stored in serial.conf will be the ones loaded into the serial module when
    it is next loaded into the kernel. Personally, serial is never unloaded
    for me as I use both gpm and X, which uses the serial module all the time.
    Thus the testing I have performed on this has been less than ideal.
    However, it should work as advertised. I wasn't sure how to log the output,
    so if someone wants to check that out and raise a report if I got it wrong
    that would be useful.
    (closes: #39441)

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed,  7 Jul 1999 11:46:35 +0100

setserial (2.15-7) unstable; urgency=low

  * Tackled the pcmcia modem/serial card problem. The init.d script is
    now exceptionally long-winded, and does every check I can think of
    to make sure that the serial device setserial is controlling is not
    a pcmcia device. It does the following in addition to the upstream
    methods:
      (1) AUTOSAVE now does not save ports which are UART "unknown"
      (2) a serial port must be /dev/ttyS? or /dev/ttyS??
      (3) if the I/O address of a port is within an I/O window as
          reported by "cardctl config", it is not saved
      (4) if the device is listed in /var/run/stab, do not save it.
    Hopefully everything will now work as intended. People with pcmcia
    problems due to an earlier version of 2.15 will have to do some
    repairs (check out pcmcia.repair).
    closes: #40471

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Thu,  1 Jul 1999 13:20:04 +0100

setserial (2.15-6) unstable; urgency=low

  * Problems with the copyright message and README.debian
    #40043
      Corrected the URLs in question.
  * #40109, #40051 - Problems with alpha and sparc builds
      Added the supplied patch to configure.in and then did an autoconf
  * Still struggling to fix the pcmcia problems, so a new version is coming
    soon.
    Fixed: #40043, #40109, #40051

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Thu, 24 Jun 1999 08:50:37 +0100

setserial (2.15-5) unstable; urgency=low

  * When AUTOSAVE is taken out of the config file, it falls over
    #39279 #39724 -
      Added a patch from Oskar Liljeblad
  * Moving the old config file to /var/tmp could be a security hole.
    #29434 -
      File is renamed in the same directory with the extension .pre-2.15
  * Blank lines in the config file are not handled properly
    #38764 -
      Uses a patch from Patrik Rak - Thanks...
  * Still more problems wrt pcmcia card-based modems.
    #39382 -
      Added information into postinst and README.debian instructing pcmcia
      serial-type card owners to edit the file themselves.

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Mon, 21 Jun 1999 09:39:44 +0100

setserial (2.15-4) unstable; urgency=low

  * Bug #38131 - the new autosaving of serial port configuration broke
    pcmcia-cs. I changed /etc/init.d/setserial so that saving state does,
    by default, save only "known" ports, rather than all ports present
    as "/dev/ttyS*" files.

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 26 May 1999 10:25:07 +0100

setserial (2.15-3) unstable; urgency=low

  * used "make clean" rather than "make distclean". Should be better for
    all you users wanting to compile your own version. This should make things
    better for the mc68k and sparc people too...

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Fri, 21 May 1999 15:39:51 +0100

setserial (2.15-2) unstable; urgency=low

  * Bug #38083 - mc68xxx port checked and unnecessary config removed. I had
    to rewrite rc.serial.mc68k and some debian/ files to do this.

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Fri, 21 May 1999 15:09:04 +0100

setserial (2.15-1) unstable; urgency=low

  *  New upstream version. I was unable to check the mc68000 patches.
     Someone on the mc68000 team will have to do this instead.
     The new release uses a completely new configuration procedure, so be
     on your guard...
     Bug #31542 - problems using -W : the new config does not use -W (fixed)
     Bug #34637 - sparc problems : you have your own serial.conf (fixed)
     Bug #13682 - very old version : if this is still true reopen (closed)
     Bug #30696 - autoconfigure in man is autoconfig in prog (fixed)
     Bug #32434 - use init.d not rc.boot - If it makes you happy... (fixed)
     Bug #36487 - infinte to infinite in setserial.c (fixed on Debian only)
     Bug #36488 - duplicate of bug 36487
     Bug #36489 - duplicate of bug 30696

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 19 May 1999 16:59:38 +0100

setserial (2.14-3) unstable; urgency=low

  * Now uses supplied ./configure, with installation from rules file, rather
    than from hand-crafted Makefile. This should allow it to be more easily
    compiled on the Alpha. - Bug #25865,#25379

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed,  9 Sep 1998 15:16:24 +0100

setserial (2.14-2) unstable; urgency=low

  * Changed "configuring serial ports....done." to
            "configuring serial ports...done.", fixing bug #24755.

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Mon, 20 Jul 1998 09:27:57 +0100

setserial (2.14-1) unstable; urgency=low

  * new upstream version. This fixes bug #23966.
    I have readded the mc68000 patches to the new version of setserial to
    the best of my ability, but without someone to test these I have no way of
    knowning if this was successful.

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Tue, 30 Jun 1998 10:50:32 +0100

setserial (2.12-7) unstable; urgency=low

  * Fixed bug #21286 - If the setserial package has been uninstalled,
      then the configuration file could still be present. There is a check
      in the config file, which aborts configuration if the package is
      not installed.
  * Fixed bug #23162 - part of this bug report was that status information
      for the ports appeared in the wrong order, and that ports which were
      unconfigured but present caused a huge list of messages to appear which
      were not relevent to the user. This has been tided up.
  * Fixed bug #21658 and #23162 - kernel 2.1 and above does not allow
      wild initialisation of the serial port. For now, I force-load the
      serial driver module, discarding any error messages. This should
      improve the situation, but I have yet to test this.

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Tue, 12 May 1998 11:28:05 +0100

setserial (2.12-6) unstable; urgency=low

  * Fixed bug #15421 wrt compressing the changes file
  * Fixed bug #14064 for 680x0 compilation

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Oct 1997 09:34:24 +0100

setserial (2.12-5) unstable; urgency=low

  * Fixed bug #11398 - Now works with ash.

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Fri,  3 Oct 1997 10:46:51 +0100

setserial (2.12-4) unstable; urgency=low

  * uses libc6

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Mon,  9 Jun 1997 15:48:59 +0100

setserial (2.12-3) unstable; urgency=low

  * Fixed bug #8401 - Hope the output is less ugly now...
  * Fixed bug #8764 for Alpha platforms

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Thu, 17 Apr 1997 09:39:22 +0100

setserial (2.12-2) unstable; urgency=low

  * Fixed bug #7685

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Thu, 27 Feb 1997 12:35:47 +0000

setserial (2.12-1) unstable; urgency=low

  * New upstream version. I have tried to repatch this release with the
  *   changes from previous debian releases, but some things have changed
  *   and I am not 100ure I have them all

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Thu, 19 Feb 1997 09:47:44 +0000

setserial (2.10-12) unstable; urgency=low

  * m68k packages will have a different 0setserial config file
  * Support for serial devices defined in m68k machines added

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Thu, 13 Feb 1997 09:47:44 +0000

setserial (2.10-11) unstable; urgency=low

  * Due to the number of bug reports concerning bootup failures during setserial,
  * I have removed all but com1 and 2 from the automatic configuration process. I
  * suggest that if you have a more complex setup, you edit this file by hand.
  * Com[1-2] is set to the standard port and irq, but uart probing is still done

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Thu, 23 Jan 1997 15:36:40 +0000

setserial (2.10-10) unstable; urgency=low

  * Added tests to make sure their is a serial module driver loaded
  * Switched to the new source layout

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 12:23:53 +0000

setserial (2.10-9) unstable; urgency=low

  * Brought the Debian maintenance files up to date.

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 12:23:53 +0000

setserial (2.10-8) unstable; urgency=low

  * Bug fixes in the maintenance files

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 12:23:53 +0000

setserial (2.10-7) unstable; urgency=low

  * Bug fixes in the maintenance files

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 12:23:53 +0000

setserial (2.10-6) unstable; urgency=low

  * Bug fixes in the maintenance files

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 12:23:53 +0000

setserial (2.10-5) unstable; urgency=low

  * Bug fixes in the maintenance files

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 12:23:53 +0000

setserial (2.10-4) unstable; urgency=low

  * Bug fixes in the maintenance files

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 12:23:53 +0000

setserial (2.10-3) unstable; urgency=low

  * Bug fixes in the maintenance files

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 12:23:53 +0000

setserial (2.10-j) unstable; urgency=low

  * Bug fixes in the maintenance files

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 12:23:53 +0000

setserial (2.10-1) unstable; urgency=low

  * Initial Release.

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 11:22:25 +0000
